Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support
[Java] Class MockStringResourceLoader

    java.lang.Object
      org.springframework.core.io.DefaultResourceLoader
          org.codehaus.groovy.grails.support.MockResourceLoader
              org.codehaus.groovy.grails.support.MockStringResourceLoader

    public class MockStringResourceLoader
    extends MockResourceLoader

Loads Resources from Strings that are registered as Mock resources.

Authors:
  Graeme Rocher

Since:
  0.4

Field Summary

Fields inherited from class org.springframework.core.io.DefaultResourceLoader
CLASSPATH_URL_PREFIX

Method Summary
`Resource` | `getResource(java.lang.String location)`
`void` | `registerMockResource(java.lang.String location, Resource res)` Registers a mock resource with the first argument as the location and the second as the contents of the resource.
`void` | `registerMockResource(java.lang.String location, java.lang.String contents)` Registers a mock resource with the first argument as the location and the second as the contents of the resource.
`void` | `registerMockResource(java.lang.String location, byte[] contents)` Registers a mock resource with the first argument as the location and the second as the contents of the resource.

Methods inherited from class MockResourceLoader
getResource

Methods inherited from class org.springframework.core.io.DefaultResourceLoader
org.springframework.core.io.DefaultResourceLoader#getClassLoader(), org.springframework.core.io.DefaultResourceLoader#getResource(java.lang.String), org.springframework.core.io.DefaultResourceLoader#setClassLoader(java.lang.ClassLoader), org.springframework.core.io.DefaultResourceLoader#wait(), org.springframework.core.io.DefaultResourceLoader#wait(long), org.springframework.core.io.DefaultResourceLoader#wait(long, int), org.springframework.core.io.DefaultResourceLoader#equals(java.lang.Object), org.springframework.core.io.DefaultResourceLoader#toString(), org.springframework.core.io.DefaultResourceLoader#hashCode(), org.springframework.core.io.DefaultResourceLoader#getClass(), org.springframework.core.io.DefaultResourceLoader#notify(), org.springframework.core.io.DefaultResourceLoader#notifyAll()

Method Detail

### getResource

    @Override
    public Resource getResource(java.lang.String location)

### registerMockResource

    public void registerMockResource(java.lang.String location, Resource res)

  Registers a mock resource with the first argument as the location and the second as the contents of the resource.
  Parameters:
    `location` - The location
    `res` - The resource itself

### registerMockResource

    public void registerMockResource(java.lang.String location, java.lang.String contents)

  Registers a mock resource with the first argument as the location and the second as the contents of the resource.
  Parameters:
    `location` - The location
    `contents` - The contents of the resource

### registerMockResource

    public void registerMockResource(java.lang.String location, byte[] contents)

  Registers a mock resource with the first argument as the location and the second as the contents of the resource.
  Parameters:
    `location` - The location
    `contents` - The contents of the resource

Groovy Documentation